# Copyright (c) 2000-2005, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define real_name	rhino
%define oldname		old%{real_name}
%define cvs_version	1_5
%define tar_version	15
%define pre		R3

%define section		free

Name:		rhino15
Version:	1.5
Release:	0.R3.6jpp
Epoch:		0
Summary:	JavaScript for Java
License:	MPL
Source0:	ftp://ftp.mozilla.org/pub/js/%{real_name}%{tar_version}%{pre}.zip
Source1:	http://java.sun.com/products/jfc/tsc/articles/treetable2/downloads/src.zip
Url:		http://www.mozilla.org/rhino/
Group:		Development/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildRequires:	ant
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{real_name}%{tar_version}-%{version}-buildroot
Provides:	oldrhino
Obsoletes:	oldrhino < 0:1.6

%description
Rhino is an open-source implementation of JavaScript written entirely
in Java. It is typically embedded into Java applications to provide
scripting to end users.

%package manual
Summary:	Manual for %{name}
Group:		Development/Libraries/Java

%description manual
Documentation for %{name}.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{real_name}%{cvs_version}%{pre}

%build
perl -p -i -e 's|<javadoc sourcefiles="\${apiClasses}"|<javadoc sourcefiles="org.mozilla.\*"|;' build.xml
perl -p -i -e 's|<get src.*>||;' toolsrc/build.xml
# Fix path between manual and javadocs.
perl -pi -e 's|"apidocs/index.html"|"%{_javadocdir}/%{name}-%{version}/index.html"|' docs/doc.html
install -d -m 755 build
install -m 644 %{SOURCE1} build/swingExSrc.zip
ant -Dbuild.compiler=modern jar javadoc

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{real_name}%{cvs_version}%{pre}/js.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && ln -sf %{name}-%{version}.jar oldjs-%{version}.jar)
(cd $RPM_BUILD_ROOT%{_javadir} && ln -sf %{name}-%{version}.jar %{oldname}-%{version}.jar)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{oldname}-%{version}
cp -pr build/%{real_name}%{cvs_version}%{pre}/docs/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{oldname}-%{version}
rm -rf build/%{real_name}%{cvs_version}/docs/apidocs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_javadir}/*

%files manual
%defattr(-,root,root)
%doc build/%{real_name}%{cvs_version}%{pre}/docs/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{oldname}-%{version}

%changelog
* Wed Apr 26 2006 Fernando Nasser <fnasser@redhat.com> 0:1.5-0.R3.6jpp
- Fix creation of back compat links

* Wed Apr 26 2006 Fernando Nasser <fnasser@redhat.com> 0:1.5-0.R3.5jpp
- First JPP 1.7 build
- Rename to rhino15 from oldrhino
- Add backward compatibility to oldrhino bits

* Tue Aug 24 2004 Fernando Nasser <fnasser@redhat.com> 0:1.5-0.R3.4jpp
- Rebuild with Ant 1.6.2

* Fri Apr 11 2003 David Walluck <davdi@anti-microsoft.org> 0:1.5-0.R3.3jpp
- add %%clean section

* Fri Apr 11 2003 David Walluck <davdi@anti-microsoft.org> 0:1.5-0.R3.2jpp
- remove build patches in favor of perl
- 1.5R4 doesn't currently work with bsf

* Wed May 08 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5-0.R3.1jpp 
- 1.5R3
- versioned dir for javadoc

* Sun Mar 10 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5-0.R2.9jpp 
- versioned compatibility symlink

* Mon Jan 21 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5-0.R2.8jpp
- section macro
- new release scheme

* Thu Jan 17 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5R2-7jpp
- spec cleanup
- changelog corrections

* Fri Jan 11 2002 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5R2-6jpp
- backward compatibility js.jar symlink
- used original swing exemples archive
- fixed javadoc empty package-list file
- no dependencies for manual and javadoc packages

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5R2-5jpp
- javadoc in javadoc package
- fixed offline build

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 1.5R2-4jpp
- changed extension --> jpp

* Sat Oct 6 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5R2-3jpp
- first unified release
- s/jPackage/JPackage
- corrected license to MPL

* Sat Sep 15 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5R2-2mdk
- spec cleanup
- standardized cvs references

* Thu Aug 31 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.5R2-1mdk
- first Mandrake release
